Support » Plugin: Tailor Page Builder » Constant Warnings / Can’t Preview Changes

  • Using latest Tailor Page Builder plugin (1.7.7). When I create a new blank page I get a ton of the following warning… Warning: array_key_exists() expects parameter 2 to be array, string given in /home1/managem1/public_html/wp-content/plugins/tailor/includes/helpers/helpers-hooks.php on line 220.

    Theme is ‘Business Elite Child’.

    I get similar warnings when trying to preview changes made with Tailor. So I can’t use the plugin.

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Andrew Worsfold

    (@andrewworsfold)

    Hi @vdugar

    Is this the theme you’re using (or a child theme based on it)? https://en-au.wordpress.org/themes/business-elite/

    I am unable to reproduce this issue on the Business Elite theme or any other for that matter. The function that the error points to is related to a core WordPress filter ‘wp_kses_allowed_html’, which expects an array. Based on the warning above, a string is being provided.

    To avoid throwing a warning message, I have added an additional check in Tailor (this will be part of the next release) though I’d be interested to know why this is happening for you and not others (including me). Do you have any other plugins active (particularly those that have something to do with content and may affect that filter)?

    Cheers,
    Andrew.

    Plugin Author Andrew Worsfold

    (@andrewworsfold)

    Hi @vdugar

    Just wondering if the above worked for you?

    Cheers,
    Andrew.

    First of all: This free page-builder-plugin is absolutely excellent in all regards, it is:

    – compatible with most themes I have used
    – intuitive & easy to use
    – non-distructive when editing existing posts or pages
    – well supported by the author

    Why I write this in this comment? Because I completely disagree with this one-star-rating! It’s so typical for WP-plugin-support-forums:

    People (here: @vdugar) complain about not being able to use a free plugin and receive support from the author immediately, who is providing a valuable workaround.

    Instead of trying again with help of the author and eventually review their plugin-rating, they just ignore and leave a bad rating.

    Anyway, have fun using this plugin and have a nice day!
    Sascha

    • This reply was modified 3 years, 3 months ago by presscode. Reason: adding more info
Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Constant Warnings / Can’t Preview Changes’ is closed to new replies.